<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

    <style>

body{
  font-family: 'Poiret One', cursive;
  background: #3494E6;  /* fallback for old browsers */
background: -webkit-linear-gradient(to right, #EC6EAD, #3494E6);  /* Chrome 10-25, Safari 5.1-6 */
background: linear-gradient(to right, #EC6EAD, #3494E6); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}
h4{
  font-weight: bold;
  margin-bottom: 2.5rem;
}
.form-wrapper{
  background: #fff;
  border-radius: 5px;
  padding: 50px;
}
.form-control, .custom-select{
  border-radius: 0px;
    color: #495057;
    background-color: #f1f1f1;
    border-color: none;
   

}

.form-control:focus {
    color: #495057;
    background-color: #ffffff;
    border:1px solid #b5b6b3;
    outline: 0;
    box-shadow: none;

}

.btn{
  background: #3494E6;
  border: #3494E6;
  padding: 0.6rem 3rem;
  font-weight: bold;
}
.btn:hover, .btn:focus, .btn:active, .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
  background: #3494E6;
  border: #3494E6;
  outline: 0;
}
    </style>

<body>
    <section class="contact-from pt-4">
        <div class="container">
                        
                        <div class="row mt-5">
                            <div class="col-md-7 mx-auto">
                              <div class="form-wrapper">
                                <div class="row">
                                  <div class="col-md-12">
                                    <h4>Registration form</h4>
                                  </div>
                                </div>
                                <form id="form">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <input type="text" class="form-control" id="fname" placeholder="First name">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <input type="text" class="form-control" id="lname" placeholder="Last name">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <input type="text" class="form-control" id="email" placeholder="Email">
                                            </div>
                                        </div>
                                        
                                      
                                      <div class="col-md-6">
                                            <div class="form-group">
                                                <input type="password" class="form-control" id="password" placeholder="password">
                                            </div>
                                        </div>
                                                                          
                                        
                                    </div>
              <div class="mt-3">
                    <button class="btn btn-primary">Register</button>
                    <a href="D:\node_js\express _node_js\practise\angular_nodejs\front_end\login.html">Login</a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
          
          </div>
          </section>
</body>


<script>


$(document).ready(function(){
    $("#form").submit(function(e){
        e.preventDefault();

        var fname=$("#fname").val();
        var lname=$("#lname").val();
        var email=$("#email").val();
        var password=$("#password").val();



        $.ajax({
            type:"post",
            url:"http://localhost:3001/register",
            data:{
               fname:fname,
               lname:lname,
               email:email,
               password:password,
            },
            success:function(response)
            {
                console.log(response);

                if(response.message=="success")
                {
                  window.location.href = "file:///D:/node_js/express%20_node_js/practise/angular_nodejs/front_end/login.html";
            return false;
                }
            }
        })
    })
})

</script>









</html>